# 分页组件

##  使用例子 
cmsczzdistrictlist.vue  区域管理
---

## 说明

> 分页组件

### 路径

> src/components/NewPagination

---

#### 使用

```vue
   <pagination
                :isAbsolute="false"
                @handleChange="handleChangeData"
                :data="paginationData"
              />
```


```
// js
import VplatTree from ''
...
components: { VplatTree}
...

```
// 数据声明
```
paginationData: {
        current: 1,
        size: 10,
        total: 0,
      },

```

//  子组件向父组件传递的事件
handleChangeData 有两个参数， 第一个是 分页数字， 第2个是当前页数
```
handleChangeData(pagesize, currentPage) {
  this.paginationData.size = pagesize;
  this.paginationData.current = currentPage;
  this.getTableData();
},

```

---

### 参数说明

| 参数         | 类型     | 可选 | 说明                                                     |
|--------------|----------|------|----------------------------------------------------------|
| isAbsolute     | boolean     | 是   | 是否绝对定位到下方                             | 
| data  | Object   |  是   | 传入的参数                        | 

---
