## 介绍

下拉框组件

## 文档和示例

文档：待写
示例：
```
     <OTSelect
          v-model="appId"
          :clearable="false"
          style="width: 100%"
          size="small"
          :default-check-first="true"
          :data="{ type: 'value', data: appList }"
          @change="getUserRoleList"
    ></OTSelect>
```

```
     appList: [], // 传入一个数组
```

## 功能

- 基于element ui的el-select组件进行封装

```
## 在组件中使用

```html
    <OTSelect
      v-model="formData.adminRange"
      style="width: 90%"
      defaultCheckFirst
      clearable 
      @change="changeValue"
      :data="{
           type: 'value',
           data: {
                '1': '按单位过滤包括下级',
                '2': '按单位过滤不包括下级',
           },
      }"
    ></OTSelect>
```

## 参数说明

- v-model： 双向绑定的值
- defaultCheckFirst：是否默认选中第一个
- data：<br> {type:'value',data:{1:'男',2:'女'}}，固定组，即固定的组值<br>
